# JGameLauncher Class Reference

`#include <JGameLauncher.h>`

List of all members.

## Public Member Functions

JApp * | GetGameApp ()
char * | GetName ()
u32 | GetInitFlags ()

## Detailed Description

An interface for JGE to get the user defined JApp class.

## Member Function Documentation

JApp* JGameLauncher::GetGameApp | ( |  | ) |

Get user defined JApp instance. The function will be called when JGE starts.

Returns:
  - User defined JApp instance.

char* JGameLauncher::GetName | ( |  | ) |

Get application name. Mainly for Windows build to setup the name on the title bar.

Returns:
  - Application name.

u32 JGameLauncher::GetInitFlags | ( |  | ) |

Get initialization flags.

Returns:
  - Initialization flags.